CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

Installation problems about Paraview and PV3foamreader

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   January 9, 2009, 01:04
Default Hello everyone I just insta
  #1
New Member
 
LiangYu
Join Date: Mar 2009
Location: Beijing, Beijing, China
Posts: 1
Rep Power: 0
clark_liang is on a distinguished road
Hello everyone

I just install the OpenFoam first time, and there are some problems during Installation paraview and PV3FoamReader.

After installed the OpenFoam-1.5, in order to check the installation I entered the foamInstallationTest in Terminal:
[root@localhost bin]# foamInstallationTest

The result is:
Executing /home/OpenFOAM/OpenFOAM-1.5/bin/foamInstallationTest:


Checking basic setup...
-------------------------------------------------------------------------------
Shell: bash
Host: localhost.localdomain
OS: Linux version 2.4.20-8
-------------------------------------------------------------------------------


Checking main OpenFOAM env variables...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Crit
-------------------------------------------------------------------------------
$WM_PROJECT_INST_DIR /home/OpenFOAM yes yes
$WM_PROJECT_USER_DIR /root/OpenFOAM/root-1.5 yes no
$WM_THIRD_PARTY_DIR /home/OpenFOAM/ThirdParty yes yes
-------------------------------------------------------------------------------


Checking the OpenFOAM env variables set on the PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$WM_PROJECT_DIR /home/OpenFOAM/OpenFOAM-1.5 yes yes yes

$FOAM_APPBIN ...M-1.5/applications/bin/linuxGccDPOpt yes yes yes
$FOAM_USER_APPBIN ...t-1.5/applications/bin/linuxGccDPOpt yes yes no
$WM_DIR /home/OpenFOAM/OpenFOAM-1.5/wmake yes yes yes
-------------------------------------------------------------------------------


Checking the OpenFOAM env variables set on the LD_LIBRARY_PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$FOAM_LIBBIN ...nFOAM/OpenFOAM-1.5/lib/linuxGccDPOpt yes yes yes
$FOAM_USER_LIBBIN .../OpenFOAM/root-1.5/lib/linuxGccDPOpt yes yes no
$MPI_ARCH_PATH ...penmpi-1.2.6/platforms/linuxGccDPOpt yes yes yes
-------------------------------------------------------------------------------


Third party software
-------------------------------------------------------------------------------
Software Version Location
-------------------------------------------------------------------------------
WARNING: gcc version does not match gcc supplied with this release of OpenFOAM
Supplied version: 4.3.1
User version : 4.3.2
Minimum required: 4.2.0

gcc 4.3.2 /usr/local/gcc-4.3.2/bin/gcc
gzip 1.3.3 /usr/bin/gzip
tar 1.13.25 /bin/tar
icoFoam ...AM/OpenFOAM-1.5/applications/bin/linuxGccDPOpt/icoFoam
-------------------------------------------------------------------------------


Checking networking...
-------------------------------------------------------------------------------
Action Result Crit
-------------------------------------------------------------------------------
...localhost.localdomain Successful yes
Pinging_localHost Successful yes
Test_rsh: Unsuccessful_connection_refused* yes
Test_ssh: Successful yes
(*) Only one of rsh or ssh is required by the OpenFOAM enviroment.

-------------------------------------------------------------------------------

Base configuration ok.

Critical systems ok.


done.





After OpenFOAMInstallation check passed, I tried to install paraveiw3.3, and foamreader,then there was the problem:




[root@localhost root]# cd ${WM_PROJECT_DIR}/bin
[root@localhost bin]# ./buildParaView3.3-cvs
Building ParaView3.3-cvs
MPI support : OFF
Python support : OFF
MESA support : OFF
Source : /home/OpenFOAM/ThirdParty/ParaView3.3-cvs
Target : /home/OpenFOAM/ThirdParty/ParaView3.3-cvs/platforms/linuxGc
c
-- Check for working C compiler: /usr/local/gcc-4.3.2/bin/gcc
-- Check for working C compiler: /usr/local/gcc-4.3.2/bin/gcc -- broken
CMake Error: The C compiler "/usr/local/gcc-4.3.2/bin/gcc" is not able to compil
e a simple test program.
It fails with the following output:
/usr/bin/gmake -f CMakeFiles/cmTryCompileExec.dir/build.make CMakeFiles/cmTryCo
mpileExec.dir/build
gmake[1]: Entering directory `/home/OpenFOAM/ThirdParty/ParaView3.3-cvs/platform
s/linuxGcc/CMakeFiles/CMakeTmp'
/home/OpenFOAM/ThirdParty/cmake-2.4.6/platforms/linux/bin/cmake -E cmake_progres
s_report /home/OpenFOAM/ThirdParty/ParaView3.3-cvs/platforms/linuxGcc/CMakeFiles
/CMakeTmp/CMakeFiles 1
Building C object CMakeFiles/cmTryCompileExec.dir/testCCompiler.o
/usr/local/gcc-4.3.2/bin/gcc -o CMakeFiles/cmTryCompileExec.dir/testCCompiler.
o -c /home/OpenFOAM/ThirdParty/ParaView3.3-cvs/platforms/linuxGcc/CMakeFiles/C
MakeTmp/testCCompiler.c
gcc: error trying to exec 'cc1': execvp: No such file or directory
gmake[1]: Leaving directory `/home/OpenFOAM/ThirdParty/ParaView3.3-cvs/platforms
/linuxGcc/CMakeFiles/CMakeTmp'
gmake[1]: *** [CMakeFiles/cmTryCompileExec.dir/testCCompiler.o] Error 1
gmake: *** [cmTryCompileExec/fast] Error 2


CMake will not be able to correctly generate this project.
-- Configuring done
make: *** No targets specified and no makefile found. Stop.
done





when I install PV3foamreader, the error results are almost the same.
I think if there is the gcc-3.4.2 problem, it should not be able to install the OpenFoam, but the fact is OpenFoam-1.5 have be installed by this gcc-3.4.2.
I have no idea about this, and hope someone can help me. Thanks a lot!
clark_liang is offline   Reply With Quote

Old   January 12, 2009, 07:05
Default hi, i've successfully compiled
  #2
New Member
 
Zairja
Join Date: Mar 2009
Posts: 9
Rep Power: 8
zairja is on a distinguished road
hi, i've successfully compiled and tested openfoam 1.5...
you can check the installation procedure here...
http://zairjatm.webs.com/cfd.htm

Hope this will help you....cheers
zairja is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Compiling paraview 33 and pv3foamreader module mcjicpm2 OpenFOAM Installation 1 March 19, 2009 11:59
Paraview installation problem mcjicpm2 OpenFOAM Paraview & paraFoam 0 March 9, 2009 08:15
Paraview installation problem please help mcjicpm2 OpenFOAM Installation 0 March 9, 2009 07:55
Paraview installation troubles jjhall OpenFOAM Installation 3 April 17, 2008 12:59
Paraview installation problem please help bender OpenFOAM Installation 2 February 27, 2006 06:00


All times are GMT -4. The time now is 14:53.